Productsup

Create an export brand

An export brand is the brand of the export marketing resource. This endpoint allows the creation of an export brand.

POST
/V1/export-brand

Authorization

bearerAuth
AuthorizationBearer <token>

ProductsUp Keycloak JWT bearer token.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name?string

Response Body

application/json

application/json

application/json

curl -X POST "https://export-template-api.productsup.com/V1/export-brand" \  -H "Content-Type: application/json" \  -d '{    "name": "My brand"  }'
{
  "data": {
    "id": 2635
  }
}
{
  "errors": {
    "message": "Request validation has encountered constraint violations.",
    "errors": {
      "name": [
        "This field is missing."
      ]
    }
  }
}
{
  "errors": {
    "message": "Resource access denied."
  }
}